
using MTWorkHR.Application.Models;
using MTWorkHR.Core.Entities;
using MTWorkHR.Core.Entities.User;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Services.Interfaces
{
    public interface IOrderRequestService : IService< OrderRequest, OrderRequestDto, OrderRequestDto>
    {
        Task<OrderRequestDto> ChangeStatus(long id, int statusId);
        Task<PagingResultDto<OrderRequestDto>> GetAll(OrderPagingInputDto PagingInputDto);
        Task<OverTimeDto> GetOverTime(long id);
        Task<BusinessTripDto> GetBusinessTrip(long id);
        Task<ServiceCertificateRequestDto> GetServiceCertificate(long id);
    }
}
